This should finally fix the unticking bug that appeared recently and also fixed the error report.

Please update your DugiGuidesViewer to v4.41

https://www.dugiguides.com/download/

There is also an update for

* TomTom – Beta2
* Leveling Guides – 1.01
* Achievement & Profession Guides – 1.21

I’m sorry for the delay, if you are still having issue with the guide don’t hesitate to post your questions below.

Dugi

    71 replies to "IMPORTANT: Please Update to Dugi Guides v4.41"

    • Bob

      A few items in the guide do not auto complete, and since you fixed the unticking item it’s not been a problem. You did mention that in some areas the quest numbers or something may be reused. Anyway I’m in Swamp of Sorrows, and “In With A Bang” is listed in your guide but the big red ? shows up to tell you the quest is not in the guide. So this may be a bigger issue. Figured I’d let you know.

      • Dugi

        thank for you that, this can happen if the quest name is not written exactly the same as the game. We will fix that for the next build thank you for reporting.

    • Jared Hill

      Hey dugi. my acount says i purchased 1-85 leveling guide, but i dont see anywhere that it actually have a download for it. i want to be ready for december 7th. please let me know. thanks

      • Dugi

        level 80-85 will be available closer to Dec 7th, we are almost finish and we will notify you via our newsletter.

        • Jared Hill

          thanks dugi. also i downloaded the 1-60 questing only and it doesnt work. i do it manually like all my addons. i unziped it and combined it all into viewer. then put it in addon folder and its not even on the list of addons

          • Dugi

            Make sure you have have installed

            1. DugisGuideViewerZ and TomTom
            2. The Paid Guides

            The guides on its own wont work without the Viewer.

            If you don’t see anything in the addons menu and it is like that the folder structure is incorrect.
            compare your folder structure to this screenshot. https://www.ultimatewowguide.com/img/install_0.png

            If the folder structure and everything is correct then you may have more than 1 copies of WoW, double check that you have the correct folder by checking your wow shortcut icon by right clicking on the shortcut and select properties and click ‘Find Target’

            if all else fails please take a screenshot of your AddOns and AddOns\DugisGuideViewerz folder and send it to me dave at ultimatewowguide.com

    • Mark Zimmer

      I know I saw the quest giver for Prodigal Lich, but the guide is so cranky about doing things out of order that I didn’t accept it. Now I can’t find him anywhere. Undead Priest, using 4.41.

    • Shinama

      Oh yeah another thing: please add a small hint for the Escaped from Gilneas Quest. If you just follow the guide you expect to meet a questiver or at least find the worgen stealthing around. But it only appears behind you if you get attacked by one of those darkhounds (at least thats what happend to me). Perhaps you just have to kill enough for the guy to spawn but I’m not sure of it.

      I’m sorry for doubleposting, I forgot to add this one πŸ™

    • **** Babillis

      Loaded the 4.41 guide and now only have 6 kingdoms and only low level

      What step did I miss?

      Thanks

      • Shinama

        Perhaps you forgot to install the leveling guides themselves? Don’t forget, the GuideViewer is only the basic “framework” of the guide, it only provides the functionality but not the guide itself (hence the guide>viewer<). The GuideViewer only comes with some sort of a trial guide to show people how everything works etc before they pay for the real thing.

        Download the Alliance or Horde guide, put them in the right directory (I recommend using the installer Dugi provides, if you don't know what you're doing) and start WoW. That should be fix your problem I think.

    • Hon

      Hi Dugi, I wanted to tell you that after purchasing every single of your guides, I’m FAR MORE than satisfied. I think you do a great work with this addon. You deserve both the recognition and the revenue. I find the price for your products to be fair, given the work it takes to keep them so smoothly running.

      I do not know if you have a team helping you with this work or this is just a personal project. In case you have a team, please congratulate them too for this magnificent work. In case this is a personal project, thumbs up for you for keeping it so professional.

      I work as a software (game) developer and I know how hard it is to keep it up some days when you also have a personal project aside from your work. The temptation of leaving your project “hanging” for a few days while you take a little rest is too strong sometimes, however you have a built up a strong commitment with us, your customers, both with new functionality/improvements development and bug fixing.

      I don’t think I can stress this enough, but let me try once again: you do a GREAT JOB! Period.

      I take my hat off and bow.

      Big thank you.

      Wish you all the best.

      • Shinama

        So true Hon.

        I probably tried most of the Leveling Guides out there, starting with Joanas back in the day where he sent out the printed version of it. Now I’m using this one for a very, very long time and I don’t believe I’ll switch anytime soon πŸ˜‰

        Thank’s a lot Dugi!

        • Hon

          πŸ™‚

      • Dugi

        I’m so sorry I missed this reply earlier Hon. We do have a team with working us, the whole thing is really a labour of love, we highly appreciate your comment thank you πŸ™‚

        • Hon

          Make no worries ^_^

          Thank you all!

    • Shinama

      Hi there Dugi,

      I still have the bug here on EU-Teldrassil πŸ™ I did everything you told us (installing the TomTom Beta, /dg fix etc) but it still unticks steps. It seems to happen whenever a quest updates (mob kill/gathering something etc).

      I’m reall curious why it still happens to me while others don’t encounter this bug anymore o.O
      This is the error message I get when I log in and if I do the /dg fix (it’s pretty long, feel free to delete my comment if you feel like it’s way to long πŸ™‚ )

      Date: 2010-11-26 00:58:15
      ID: -1
      Error occured in: Global
      Count: 2
      Message: …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua line 1137:
      SmallFrameDetail1Button:SetPoint(): SmallFrameDetail1Name is dependent on this
      Debug:
      [C]: ?
      [C]: SetPoint()
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:1137: InitSmallFrame()
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:1931: ClearScreen()
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:1203: DisplayViewTab()
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:1503: OnLoad()
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:248:
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:199
      AddOns:
      MoncaiCompare, v1.4.0
      Swatter, v5.9.4960 (WhackyWallaby)
      AtlasLoot, vv6.00.00
      AtlasLootCataclysm, vr3046
      AucAdvanced, v5.9.4960 (WhackyWallaby)
      AucFilterBasic, v5.9.4960 (WhackyWallaby)
      AucFilterOutlier, v5.9.4960.2531
      AucMatchUndercut, v5.9.4960.2531
      AucStatHistogram, v5.9.4960 (WhackyWallaby)
      AucStatiLevel, v5.9.4960 (WhackyWallaby)
      AucStatPurchased, v5.9.4960 (WhackyWallaby)
      AucStatSales, v5.9.4960.2842
      AucStatSimple, v5.9.4960 (WhackyWallaby)
      AucStatStdDev, v5.9.4960 (WhackyWallaby)
      AucStatWOWEcon, v5.9.4960.2530
      AucUtilAHWindowControl, v5.9.4960.3311
      AucUtilAppraiser, v5.9.4960.2530
      AucUtilAskPrice, v5.9.4960.3175
      AucUtilAutoMagic, v5.9.4960.3142
      AucUtilCompactUI, v5.9.4960.2530
      AucUtilEasyBuyout, v5.9.4960.3583
      AucUtilFixAH, v5.9.4960 (WhackyWallaby)
      AucUtilGlypher, v5.9.4960.2545
      AucUtilItemSuggest, v5.9.4960.3108
      AucUtilPriceLevel, v5.9.4960.2545
      AucUtilScanButton, v5.9.4960.2530
      AucUtilScanFinish, v5.9.4960.2530
      AucUtilScanProgress, v5.9.4960.2530
      AucUtilScanStart, v5.9.4960.4819
      AucUtilSearchUI, v5.9.4960.3655
      AucUtilSimpleAuction, v5.9.4960.4546
      AucUtilVendMarkup, v5.9.4960.2530
      Babylonian, v5.1.DEV.130
      Bartender4, v4.4.15
      BeanCounter, v5.9.4960 (WhackyWallaby)
      ButtonFacade, v4.0.344
      ButtonFacadeDarion, v3.0.3.2
      Configator, v5.1.DEV.282
      DebugLib, v5.1.DEV.275
      DugisGuideViewerZ, v4.40
      Enchantrix, v5.9.4960 (WhackyWallaby)
      EnchantrixBarker, v5.9.4960 (WhackyWallaby)
      Grid, vr1399
      Informant, v5.9.4960 (WhackyWallaby)
      LUI, v3.0
      Omen, v3.1.0
      oUF, v1.5.4
      oUFExperience, v40000.9-Release
      oUFLUI, v
      oUFReputation, v40000.5-Release
      Postal, v3.4.4
      RatingBuster, v
      Recount, v
      SellJunk, v3.0
      SlideBar, v5.9.4960 (WhackyWallaby)
      Stubby, v5.9.4960 (WhackyWallaby)
      TomTom, vv40000-1.0.4
      BlizRuntimeLib_enUS v4.0.3.40000
      (ck=744)

      • Shinama

        as a follow up to my post above: it seems that the guideviewer hides certain steps from me.
        Let’s say I’m an undead hunter… it tells me to accept and to do a certain quest (the steady shot one).
        After I finish it it resets to the cartaker Caice quest. I then manually tick the quests since I already completed them and as I reach the Steady shot quest it shows the “learn the shot” step which I didn’t see before. This kind of thing happend to me a few times in various situations and perhaps this is the reason for the bug in my case?

      • Dugi

        The error state that you’re still using DugisGuideViewerZ, v4.40

        You need to update to v4.41

        • Shinama

          thanks Dugi, this happens if you keep the last ~10 versions of your guide in the same folder πŸ˜›
          I really didn’t notice that I (re-) installed the old version of the guide, sorry for that πŸ™

          • Dugi

            No worries. we’re here to help πŸ™‚

    • Nathan Foster

      Question?

      Why do you have every race in Alliance going to Westfall at lvl 10 instead of Dwarves/Gnomes going to Loch Modan, Night Elves going to Darkshore, and Draenei going to Bloodmyst Isle?

      • Dugi

        I think you have us confused with some other guides, I believe Night Elf does go to Darkshore and Draenei goes to Bloodmyst.

        we decided that it was more beneficial for Dwarf and Gnomes to go straight to Westfall as it will be easier for them to follow on to Duskwood and the rest of eastern kingdom later on.

        The Dwarf and Gnome guide ends in Ironforge so it doesn’t take much traveling take the tram to go to Stormwind > and run to Westfall.

        Going to Loch Modan leads to Wetlands > Arathi > The Hinterlands. and Unfortunately Arathi and The Hinterlands are both very bad zones for leveling. Unless they have drastically changed it in the beta.

    • lilocowboy

      Everything seems to be working well on mine now. Thanks again for all your work.

    • Kevin Cooper

      Dugi, just though I would let you know that I have been having the same problem with the guide not staying “ticked.” After /reload for the 10th time I opened my quest and noticed the zone I was in was minimized in my quest log. Once un-minimizing it, I have had to trouble with it staying “ticked.” Not sure if it’s something you can fix, or just something you can pass on to the masses as a possible fix.

      • Dugi

        I’m exactly not sure what you mean my minimizing the zone in your quest log, can you send me a screen shot dave at ultimatewowguide.com

    • Albert Eberli

      Hi Dugi

      Purchased today and installed levelling guide, but get an error message while loading the addons:

      Date: 2010-11-25 15:49:10
      ID: 1
      Error occured in: Global
      Count: 1
      Message: ..\AddOns\DugisGuideViewerZ\Ants.lua line 37:
      Cannot find a library with name ‘Astrolabe-0.4’
      Debug:
      (tail call): ?
      [C]: ?
      [C]: error()
      …nterface\AddOns\TomTom\libs\Astrolabe\DongleStub.lua:17: DongleStub()
      DugisGuideViewerZ\Ants.lua:37: InitAnts()
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:392: LoadAnts()
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:380: OnInitialize()
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:271:
      …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:199
      AddOns:

      • Kenneth Weade

        Date: 2010-11-25 10:44:37
        ID: 1
        Error occured in: Global
        Count: 1
        Message: ..\AddOns\DugisGuideViewerZ\Ants.lua line 37:
        Cannot find a library with name ‘Astrolabe-0.4’
        Debug:
        [C]: ?
        [C]: error()
        …nterface\AddOns\TomTom\libs\Astrolabe\DongleStub.lua:17: DongleStub()
        DugisGuideViewerZ\Ants.lua:37: InitAnts()
        …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:392: LoadAnts()
        …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:380: OnInitialize()
        …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:271:
        …erface\AddOns\DugisGuideViewerZ\DugisGuideViewer.lua:199

      • Dugi

        This is becuase you haven’t update TomTom, make sure you are using our version of TomTom here
        https://www.ultimatewowguide.com/addons/TomTom-beta2.zip

    • GLEN TEAMOH

      HI DUgi,
      Purchased the update for CATA but, I can not down load the dungeons. Can you rell me why?

    • Jiku

      Dugi I purchased the full guide, but I can not download the 60-80 Dungeon guide.
      Why isn’t it available, I thought I bought everything available for 80$?

      Greetings

      • Dugi

        The Dungeon guide is currently not available for purchase due to the changes in cataclysm, we posted the announcement here https://www.ultimatewowguide.com/blog/2010/10/dungeon-guide-is-closing-soon/

        • Jiku

          And you will not make it available for those who puchased the leveling guide?

          • Jiku

            Oh Also, could you change my displayed Nickname in the last 2 comments to: Jiku?
            Or delete them, I don’t want my name to be shown.

            Thank you

          • Dugi

            We intend to sell it again once we add more content, we are working on it.

    • VEGA WARREN

      Love all the guides. One question however. I did re load all the guiles and viewer. In my Addons page it is in red however. the 4.41 is in red..seems to work fine but was just wondering why it is red in the addons. Thank you.

      • Dugi

        its just a color that we like set for cataclysm build πŸ™‚

    • Tim Thomas

      Dugi – Just wanted to say how impressed I am with the speed at which you roll out bug fixes to your guides! I’ve purchased everything purchasable that you offer and have been and remain a very satisfied customer – your guides are the best!

      Happy Thanksgiving (oh, wait – do you have Thanksgiving in NZ?)

      • Dugi

        We don’t have it here, but happy thanksgiving to you πŸ™‚

    • rwc926

      Dugi, I got 4.41. Brand new Tauren Pally in Mulgore. Only Dugi and TomTom loaded. Deleted Cache and did /dg fix and /reload. Selected the mulgore guide, and boom the Lua Errors are back.

      Message: Interface\AddOns\DugisGuideViewerZ\Ants.lua:523: attempt to index upvalue ‘Astrolabe’ (a nil value)
      Time: 11/25/10 20:07:25
      Count: 2074
      Stack: Interface\AddOns\DugisGuideViewerZ\Ants.lua:523: in function

      • Dugi

        This is becuase you haven’t update TomTom, make sure you are using our version of TomTom here
        https://www.ultimatewowguide.com/addons/TomTom-beta2.zip

        • rwc926

          ok i think that fixed it. thought the curse version was recent enough. very impressed with your customer service. will continue to give the new guides a whirl, and if all’s good will go buy!

    • cornelius sutrisno

      i tried, but it only showed me the first 20 levels. i downloaded ur 4.41 guide and tomtom beta. but it wont work

      • Dugi

        You also need to download and install the paid leveling guides https://www.ultimatewowguide.com/download/#leveling

        • Oliver Smith

          hi i have the same problem is it because it isnt out yet please can you help ive brought the guide just to day and im having trouble with it!!! it only says 1-20 but i brought the 1-80 guide and is the guide uptodate for patch 4.0.3a

          • Oliver Smith

            i have downloaded them both 1-80 alliance and the dugiviewerz

          • Dugi

            If it only says 1-20 then you haven’t install the Paid Leveling Guides here
            https://www.ultimatewowguide.com/download/#leveling

            • Oliver Smith

              i have installed the 1-80 alliance and ive put the ,dugisguideveiwerZ on my addon interface list but when i load up wow and i log in and go on addons it isnt there?

            • Oliver Smith

              it says dependency missing?

            • Dugi

              Make sure you follow these steps

              1. Dowload the installer https://www.ultimatewowguide.com/download/
              2. Download all the addons DugisGuideViewerZ, TomTom
              3. Download the paid guides that you own.
              3. Open the installer
              4. Drag and drop DugisGuideViewerZ and TomTom zip file into the white box of the installer and the paid guides that you own
              5. Click Install.
              6. Load the game and check in your addons menu inside the character select screen and make sure they are ticked.

              You have copied the files incorrectly, if you’re seeing dependecies missing message then your directory structure must be like this

              Interface\AddOns\DugisGuide_Alliance_En\

              when it should be like this

              Interface\AddOns\DugisGuideViewerZ\DugisGuide_Alliance_En\

              Check this screenshot on how your directory structure should be.
              https://www.ultimatewowguide.com/img/install_0.png

            • Oliver Smith

              WOOOOPPPPP thank you Dugi its working now!!!!!!!!!!!!!!! your the best!!!!

    • Hugo Lindgren

      Hi dugi , i’m just wondering if i would purchase the guide now . will i get lvl 1-85 or 1-80 ?

      • Dugi

        You will receive 1-85, 80-85 zones will be available to download closer to Dec 7th

        • Hugo Lindgren

          awesome man πŸ™‚

    • cornelius sutrisno

      hi dugi,

      why after i download ur latest viewer and guide, it keep telling me no guide seleccted

      • Dugi

        You need to right click on the “No Guide Selected” text and select a guide from the menu.

    • Edgar Arries

      Hi Dugi, i knw u busy with keepin everythin up 2 date.. just wana knw if there would be a dungeon lvling guide for the lower lvl dungeons.

      Regards,

      Athy

      • Dugi

        You don’t need a guide for lower level dungeons, just zone in and quest givers will be available inside the dungeon.

        • Sam Wagner

          Hi Dugi, i was just wondering if you could put back the lower level dungeon guides in but instead of making a full guide just say where to go?

Leave a Reply to Alfonso Gonzalez Cancel Reply

Your email address will not be published.